LINUX.ORG.RU

3
Всего сообщений: 108

Реализация софта Windows на Linux

Здравствуйте, Планирую перенести свою активность с виндоус на линукс, но остается вопрос рабочего софта. Для работы требуется пакет программ Adobe, которые я не смогу заменить на аналоги. Хочу спросить какой из вариантов будет самым оптимальным по легкости реализации и работоспособности:

  1. Установка линукс как основной системы и работа с софтом виндоус через виртуальную машину(при условии что на ПК установлено лишь 16гб оперативной памяти)
  2. Установка линукс рядом с виндоус на диске(но в таком случае нужно найти способ как из одной системы передавать файлы в другую)
  3. Установка линукс на виртуальную машину

Последний вариант я уже пробовал сам, но меня очень не устроила работа VirtualBox - даже с 4гб оперативной памяти всё фризилось и отбирало у железа кучу ресурсов. Работа в системе была абсолютно не комфортной. Wine так же не подходит, так как не выдержит стабильной работы тяжелого софта вроде After Effects.

 , , , ,

kapusta99 ()

adobe софт

Его как-то можно запустить? Про вайн я так понимаю можно даже не думать, а виртуалка с виндой 10 подойдёт? Или может с мак осью? Что из этого (винда10 / макось) работает (для запуска adobe софта) и что меньше будет нагружать комп?

Нужна возможно периодически (~ раз в неделю) запускать разные проги от adobe

 , ,

devorg ()

Пустое, белое окно инсталлятора (Adobe XD на Wine)

Проблема установки

Суть заключается в том, что при запуске инсталлятора ничего не происходит, от слова совсем. Есть подозрения на какую-то несовместимость с библиотекой Gecko.

Пробовал устанавливать Gecko, который предлагается префиксом по умолчанию (32 бит) и потом отдельно попробовал 64 бит. Ничего не помогает.

Ни с какими библиотеками не конфликтует, кроме как wininet (инсталятор просто крашится). С остальными библиотеками так же просто белое окно.

Так выглядит сама ситуация: https://yadi.sk/i/pySDZRk8IcnFcA

Вот вывод Wine: https://yadi.sk/d/O7vFivkRt47_tA

 , , , ,

AiGen31 ()

Извращения с Wine

Интересно, кто-то занимался извращениями в Wine, вроде запуска Фотошопа 2017/18/19 года, Иллюстратора аналогичных годов, и вообще программ Adobe?

 , ,

Riniko ()

Во всей Венесуэле запретили Adobe Photoshop. Подписчикам деньги не вернут

Разработчик легендарного графического редактора Photoshop, компания Adobe, опасаясь гнева со стороны властей США, запрещает жителям Венесуэлы пользоваться своими продуктами. После 28 октября аккаунты венесуэльцев будут заблокированы, а действующие подписки на сервисы компании отменены. Возвращать деньги за неоказанные услуги Adobe не планирует.

Подробности

Перемещено a1batross из proprietary

 

anonymous ()

Adobe-но облачный оскал

Оно как бы оффтопик с одной стороны, потому что продукты о которых идет речь не имеют Linux-версий (скорее всего). Но отлично иллюстрирует до чего дошел маразм отношений «вы лишь имеет право запускать» за свои деньги, причем не малые.

Суть: адобе разродилось письмом, что чуть не все старые облачные версии ее продукции теперь нелегальны, обновляйтесь, а то засудим. А не облачных уже осталось мало.

Она просит, ​​чтобы организации прекратили любое использование неавторизованных продуктов, перечисленных ниже, и вместо этого обновили их до предоставленных авторизованных версий.

  • Photoshop: CC 18.1.6 и более ранние версии, CC 17, CC 16, CC 15, CC 14, 13
  • InDesign: CC 9, 8
  • Premiere Pro: CC 11, CC 10, CC 9, CC 8, CC 7, 6
  • Media Encoder: CC 11, CC 10, CC 9, CC 8, CC 7, 6
  • After Effects: CC 14, CC 13, CC 12, CC 11
  • Animate: CC 16, CC 15, CC 14, CC 13, 12
  • Audition: CC 6, CC 5, CC 4
  • Lightroom Classic: CC 6, CC 5, CC 4
  • Bridge: CC 7, CC 6
  • Prelude: CC 6, CC 5, CC4, CC 3, CC 2, 1
  • SpeedGrade (выпуск новых версий прекращен): CC 9, CC 8, CC 7, 6
  • Captivate: Captivate 2017 (10.0.0)

Неавторизованные версии рекомендуется деинсталлировать, а загруженные дистрибутивы удалить, чтобы предотвратить их случайную установку.

https://www.ixbt.com/news/2019/05/15/adobe-preduprezhdaet-chto-ispolzovanie-s...

Нормально, на предприятии может быть выстроен техпроцесс, подобраны версии, компы под них и все такое и тут хренак: обновляйтесь, а не то.

Там правда срок лицензии, наверное и так был ограниченным. Хотя вроде старые фотошопы использовались давно. Не знаю точно. Но в общем, пример бесправия конечного пользователя. Это уже не старый добрый просто платный софт, когда заплатил и пользуешься, даже если поддержки давно нет.

 , ,

praseodim ()

pdf с требованием acrobat

скачал pdf с формами для заполения. Оно требует acrobat и не хочет открываться. Как побороть? evince и okular работают обычно. Но тут ниче не хочет даже открываться. Вместо этого показывается страницы со ссылкой на сайт адобы.

UPD: выяснилось, что нужна поддержка JS. Этого пока свободные смотрелки не умеют. Поправьте, если я ошибаюсь

UPD2: Программа Master PDF Editor справляется норм. PDF Studio PRO — нет: https://kbpdfstudio.qoppa.com/livecycle-dynamic-xfa-forms/

 

dikiy ()

Флешокапец в 2020

Ничего не поделаешь - это flash.

Adobe объявила, что flash плагин для браузеров прикроют в 2020 году

https://blogs.adobe.com/conversations/2017/07/adobe-flash-update.html

 , ,

fornlr ()

А почему Adobe не объявит флеш открытым веб-стандартом?

Закопать не хотят. Их реализацию все кроют, на чём свет стоит. Почему бы им не объявить свою реализацию эталонной, и выпустить полные спеки (если в существующих чего-то не хватает)? Чтобы все желающие делали свой флеш, с блекджеком и эпилепсией.

 , ,

question4 ()

Wine - запуск без интеернета

Добрый вечер. Пишу с такой проблемой. Необходимо установить 2 программы Adobe, а они устанавливаются при выкл интернете. Как в Wine|CrossOver|PleyOnLinux - отключить интернет на время? Выключение Wi-Fi не помогает, всё равно пишет что видит интернет.

Помогите. Или какие еще есть варианты Photoshop|Muse поставить? Или же Adobe creativ cloud заранее спасибо!

 , ,

gdsatlant ()

Photoshop 2015 CC в wine кому нибудь удавалось установить?

Привет. Я тут нашел статью по установке Photoshop CC 2015 в wine на Ubuntu
https://geekmaze.ru/2016/03/04/%d1%83%d1%81%d1%82%d0%b0%d0%bd%d0%be%d0%b2%d0%b8%d1%82%d1%8c-adobe-photoshop-cc-2015-linux/
Вроде ничего сложного и автор утверждает, что все ставится без особых проблем. Я тоже поставил без особых проблем, в отдельную бутылку, а вот с запуском что-то беда. Выдает ошибку 16. Адобы в гугле говорят, что это от того, что на файл кеша база данных стоят права только на чтение и их нужно сменить. В оффтопике это решается тривиально в wine понятия не имею как управлять атрибутами внутри винды. В статье написано, что никаких проблем не возникло. Хотел спросить кто-нибудь побеждал установку Ps 2015 CC в wine?
Если у кого найдется время/желание/интерес попробуйте поставить Photoshop 2015 CC по гайду из статьи, тем более все файлы в наличии прямо в статье (триальный 32битный фотошоп и необходимые библиотеки для winetricks), а затем отпишитесь в эту тему получилось или нет.

 , ,

xtala ()

декодирование pdf с кривыми встроенными шрифтами

имеется некоторая пдфка, в которую криворукие дятлы запихали встроенные шрифты в кастомной кодировке. Вопрос в том, как бы его назад «декодировать» (а именно: сделать возможным поиск по документу)

Собственно, сам документ. Прошу поручиков сильно не ржать на тему содержимого.

 ,

demidrol ()

Печать на Linux принтер

имеется код, который вызывает gsprint (который windows only)

Код портируется на платформу Mono/Ubuntu, там gsprint нет.

Чем заменить вызов? Как напечать на принтере в линукс PDF?

Происходит/возможна ли печать в Linux через GhostScript?

Зы. важными параметрами являются: возможность выбора ландшафтная/портретная ориентация

 , , , ,

EnterpriseMobility ()

Adobe Creative Cloud, Wine, DirectX 11, GLSL

Creative Cloud падает, так как Direct3D нужен GLSL 3.3, а у меня 3.0
Сам фотошоп работает хорошо, но нужно приложение Creative Cloud заставить работать
Как быть? Можно ли как-то обмануть вайн?

 , , , ,

mystery ()

Что за pepper-flash-plugin для Chrome/Chromium? Гугл лицензировал линукс-версию флеша у адоба?

Наткнулся в голосовании на pepper-flash-plugin на гуглобраузеров. Не понял, что за хрень. Судя по гуглу - это пропиприетарный пакет анально завязанный на гуглобраузерах, который представляет из себя реинкарнацию поноса adobe flash плеера под линукс, которую поддерживает гугл (лицензировав исходники у адобе). Так ли это?

 , , ,

AnyGov_security ()

Что не так с этим флешем в Firefox на генте?

Всем привет. Честно говоря, не уверен, что пишу по адресу, но вдруг кто идею подкинет. Смысл вот в чем: есть две генты - дома и на работе. Рабочая гента была склонирована с домашней, поэтому различия в пакетах очень незначительные, а конфиги вообще одинаковые, кроме ядра и package.use. Проблема вот в чем: в один прекрасный момент на домашней системе в огнелисе отвалился флеш. Отвалился совсем.

Если запускать фаер из консольки, там появляется что-то такое:

Assertion failure: IsSingleThreaded(), at /var/tmp/portage/www-client/firefox-kde-opensuse-41.0.2/work/mozilla-release/security/sandbox/linux/Sandbox.cpp:470
[16016] WARNING: pipe error (68): Соединение разорвано другой стороной: file /var/tmp/portage/www-client/firefox-kde-opensuse-41.0.2/work/mozilla-release/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 459

На то, что это мод фаерфокса можно внимание не обращать, поскольку ошибка характерна вообще для любого фаера, включая firefox-bin.

Браузер работает вполне сносно, не падает, ничего такого, просто не работает флеш, как будто его нет, но при этом в списке плагинов он есть. Пробовал adobe-flash и freshplayer - оба одинаково не работают. При этом на рабочем компе все в порядке. И именно вопрос, почему там все в порядке меня и беспокоит.

Кроме того, я пробовал и firefox-developer-bin (это который 43 версии). Там вроде бы для вкладкок используются отдельные процессы. Короче, я в нем не могу открыть ни один сайт, потому что любая вкладка падает сразу же с такой же ошибкой, как я выше написал.

На багзилле генты этот баг уже есть, но там девелоперы - ленивые задницы и они в упор не понимают, что же от них хотят.

Что я хотел бы вообще узнать?

1. Почему так?

2. Как можно сравнить список установленных пакетов на двух системах, кроме diff для двух eix -I? Если никак, то как из вывода eix исключить время установки пакета, но оставить версии и USE-флаги?

3. Кого еще можно пнуть, чтобы багом занялись?

Если кому интересно, фиксится все достаточно просто: надо в mozilla-release/security/sandbox/linux/Sandbox.cpp найти и закомментить

MOZ_RELEASE_ASSERT(IsSingleThreaded());

После этого флеш волшебным образом начинает работать.

 , , , ,

Slaviro ()

Разрешено ли создавать локальные зеркала репозиториев Adobe?

Как известно у Adobe есть yum-репа с flash:

http://linuxdownload.adobe.com/linux/x86_64/

Вопрос, могу ли я с лицензионной и пр. юридической т.з. создать локальное зеркало этого репозитория для использования у себя в конторе?

Вопрос возник в связи с тем что некоторые дистрибутивы, например Debian/Ubuntu в бинарных пакетах не держат сам flash а держат инсталятор который каждый раз вытягивает его с сайта Adobe и сделано это вроде как по каким-то лицензионным ограничениям, насколько мне известно.

 , ,

trancefer ()

Установка adobe air приложения в gentoo

Имеется adobe air приложение зашитое в deb файл, нужно его установить в генту.

Установил dev-util/adobe-air-runtime из steam-overlay, запускаю скрипт из TrackerSetup/opt/Tracker/bin/Tracker пишет Gtk-Message: Failed to load module «canberra-gtk-module». Но пакет media-libs/libcanberra установлен. Прописал echo «GTK_MODULE=/usr/lib64/gtk-2.0/modules/» > /etc/env.d/51gtk2, как указано здесь https://forums.gentoo.org/viewtopic-t-816828-start-0.html не помогло.

Как я понимаю деб файл это исходники и файл лицензии. Не хочется тянуть деб в систему.

Собственно сам трекер https://www.dropbox.com/s/053sy3oadfe9oix/TrackerSetup.deb?dl=0

 , ,

mkv1313 ()

Игорь уже не тонет, а вот Адоб?

А что у нас с Фотошопом/Лайтрумом в wine сейчас? И с DX-11 игорами? А если через Параллельсы?

Или нет пути?

 , ,

Shaman007 ()

Adobe After Effects что посоветуете под linux?

Такой мощи не надо, нужно сделать небольшую нарезочку поздравление с +- крассивыми вставками

 

webmak ()